Bug 146046 - RFE: Need system-config-mail
RFE: Need system-config-mail
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-24 17:24 EST by Jon Roland
Modified: 2014-03-16 22:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-19 23:28:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Roland 2005-01-24 17:24:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20050104 Fedora/1.7.5-2.1.2.kde

Description of problem:
We could use a utility, call it system-config-mail that would:

1. Gives the user a choice of which email client to make the default:
Mozilla Mail, Thunderbird, Evolution, Kmail, or Other (select).

2. Gives the user the choice of MTA to use with it: sendmail, exim4,
postfix, qmail, other (select), remote (select).

3. Sets up one or more user accounts to use the MTA selected (could be
more than one).

4. Gives the user the choice to set up spamassassin, clamav,
fetchmail, milter, etc.

5. Sets up other things like newsgroup reading, listserv operations
(mailman), etc.

Start with a few options, and add to them.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. On boot, or from shell.
2.
3.
    

Additional info:
Comment 1 Bill Nottingham 2005-01-25 01:12:30 EST
There is already system-switch-mail for switching the MTA.

As of right now, I don't think there's currently a priority for this
to be scheduled.
Comment 2 Jon Roland 2005-01-25 01:22:40 EST
system-switch-mail is a small start in the right direction, but as the
admin for several systems I see the need for a system-config-mail that
does more of what takes too much labor now. Computers are supposed to
be used to eliminate repetitive tasks, and setting up mail servers and
connecting them to mail clients is a hole in the system-config toolset.

Anyway, my vote is to make it a priority.
Comment 3 Matthew Miller 2006-07-10 19:01:09 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Bill Nottingham 2010-01-19 23:28:45 EST
This is being closed; at this point it will not appear unless someone steps up to write it.
Comment 5 Matthew Miller 2010-01-19 23:36:58 EST
I think probably since this request was filed, almost everyone who isn't able to configure this stuff in their sleep (or isn't interested in learning to do that) has switched to a Big Name Webmail Provider anyway.

Note You need to log in before you can comment on or make changes to this bug.